Okta Admin Management API
/Access Controls
/- Retrieve a policy rule
Policy evaluation
Rule priority
Default rules
Policy limitations
App sign-in policy
IdP discovery policy
Password policy
User profile policy
Policies
List all policies
Create a policy
Create a policy simulation
Retrieve a policy
Replace a policy
Delete a policy
Clone an existing policy
Activate a policy
Deactivate a policy
List all resources mapped to a policy
Map a resource to a policy
Retrieve a policy resource mapping
Delete a policy resource mapping
List all policy rules
Create a policy rule
Replace a policy rule
Delete a policy rule
Activate a policy rule
Deactivate a policy rule
List all apps mapped to a policy
Retrieve a policy rule
OAuth 2.0 scope:
- okta.policies.read
Retrieves a policy rule
- https://subdomain.okta.comhttps://subdomain.okta.com/api/v1/policies/{policyId}/rules/{ruleId}
curl -i -X GET \
https://subdomain.okta.com/api/v1/policies/00plrilJ7jZ66Gn0X0g3/rules/ruld3hJ7jZh4fn0st0g3Success
Whether or not the rule is active. Use the activate query parameter to set the status of a rule.
Enum:"ACTIVE""INACTIVE"
Specifies whether Okta created the policy rule (system=true). You can't delete policy rules that have system set to true.
Default:false
Rule type
Enum:"ACCESS_POLICY""DEVICE_SIGNAL_COLLECTION""ENTITY_RISK""IDP_DISCOVERY""MFA_ENROLL""PASSWORD""POST_AUTH_SESSION""PROFILE_ENROLLMENT""SIGN_ON""SESSION_VIOLATION_DETECTION"
Discriminator
Specifies actions to be taken, or operations that may be allowed, if the rule conditions are satisfied.
Response
{ "id": "rulezuo73ySrHndLb1d7", "status": "ACTIVE", "name": "Rule with conditions - exclude a group", "priority": 0, "created": "2024-04-25T17:35:02.000Z", "lastUpdated": "2024-04-25T17:35:02.000Z", "system": false, "conditions": { "people": { … }, "network": { … }, "platform": { … }, "riskScore": { … }, "userType": { … }, "elCondition": { … } }, "actions": { "appSignOn": { … }, "type": "ACCESS_POLICY", "_links": { … } } }